import './index.css';
import React from 'react';

export function Stone( color ) {
    switch (color) {
        case WHITE():
            return WhiteStone()

        case BLACK():
            return BlackStone()

        default:
            console.warn("Unknown color: ", color)
    }
}

export function WhiteStone() {
    return <span className="white-stone">⛀</span>
}

export function BlackStone() {
    return <span className="black-stone">⛂</span>
}

export function oppositeColor(color) {
    if (color === WHITE())
        return BLACK()

    if (color === BLACK())
        return WHITE()

    return color
}

export function WHITE() {
    return "WHITE"
}

export function BLACK() {
    return "BLACK"
}
